/*
 * @(#) $Header: /tmp/cvs/mysql-admutils/mysql-admutils.h,v 1.3 2002-03-06 17:05:05 tlan Exp $
 *
 */

#ifndef MYSQL_ADMUTILS_H
#define MYSQL_ADMUTILS_H

extern char *program_name;

/* defined in pwfile.c */
extern const char *db_server;
extern const char *db_user;
extern const char *db_passwd;
extern const char *db_name;

extern int
wrong_use(char *format, ...);

extern int
fatal_error(char *format, ...);

extern int
owner(char *name);

extern int member(char *gr);

extern char **get_group_names(int *numgroups);

extern int
version(void);

extern int
read_config_file(void);


#ifdef _mysql_h

extern int
dberror(MYSQL *pmysql, char *format, ...);

extern int
reload(MYSQL *pmysql);

#endif

#endif /* MYSQL_ADMUTILS_H */
